%define oname   locale

Name:       ruby-%{oname}
Version:    2.0.8
Release:    %mkrel 8
Summary:    A pure ruby library which provides basic APIs for localization
Group:      Development/Ruby
License:    LGPLv2
URL:        http://locale.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-Locale is the pure ruby library which provides basic APIs for
localization. It aims to support all environments and all kind of i18n/l10n
programs (GUI, WWW, library, etc), and becomes the hub of other i18n/l10n
programs to handle major locale ID standards.


%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install



%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.0.8-8.mga4
+ Revision: 561999
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.0.8-7.mga4
+ Revision: 561379
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.0.8-6.mga4
+ Revision: 535551
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.0.8-5.mga4
+ Revision: 482184
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 2.0.8-4.mga4
+ Revision: 476494
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 396127
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.0.8-2.mga3
+ Revision: 381108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 312217
- new version 2.0.8

* Mon Feb 07 2011 shikamaru <shikamaru> 2.0.5-1.mga1
+ Revision: 48671
- imported package ruby-locale


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.0.5-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.0.5

* Fri Jun 19 2009 Pascal Terjan <pterjan@mandriva.org> 2.0.4-1mdv2010.0
+ Revision: 387328
- import ruby-locale


* Fri Jun 19 2009 Pascal Terjan <pterjan@mandriva.org> 2.0.4-1mdv2010.0
- Fix description, summary, license and changelog

* Fri Jun 19 2009 Guillaume Cottenceau <gc@mandriva.org> 2.0.4-0mdv2010.0
- First version of the package
